DSi Flash Carts

Discussion in 'NDS - Flashcarts and Accessories' started by saitama, Feb 18, 2009.

  1. saitama
    OP

    saitama Member

    Newcomer
    32
    0
    Feb 18, 2009
    Busan, South Korea
    Which is currently the best out there so far? I have an R4 which I got back in October 2007 and I'm giving it to my GF and buying a new Flash Cart this Friday but I want to make sure it's compatible with DSi because I will be buying one once it's released. So far I know there is Cyclo2(?) and AceKard2i...I've heard nothing but good things about AceKard in general but I'm wondering if anyone has enough experience with the options available for DSi and their preference.
     
  2. KazoWAR

    KazoWAR GBAtemp Advanced Maniac

    Member
    1,799
    681
    Aug 12, 2008
    United States
    Winter Haven
    It would be best to wait. For all we know, when the DSi comes out in the US, it will have added protection for the flash carts that do work on japanese versions now.
     
  3. mercluke

    mercluke ‮҉

    Member
    3,163
    172
    Dec 2, 2007
    Perth
    there is no dsi compatible cyclods at the moment.
    the only dsi carts (to my knowledge) are ttdsi, r4i(clone r4), ez5i and ak2i
    having used all these cards before i highly recommend the acekard2i and if that's not available then get the ez flash 5i
     
  4. Uruha

    Uruha GBAtemp Regular

    Member
    157
    0
    Aug 9, 2008
    United States
    Pennsylvania
    is it possible for the the update to block out the card completely?
    or can u just update the firmware on the card and it will be usable again assuming the DS update only blocks out the software not the hardware.
    also think there will be custom firmwares like the PSP?
     
  5. david432111

    david432111 GBAtemp Advanced Fan

    Member
    859
    0
    Jul 17, 2008
    Denmark
    You can't just update the firmware if they block it. You would have to get a whole new card as the loader code can't be updated.
     
  6. UltraMagnus

    UltraMagnus hic sunt dracones

    Member
    1,967
    0
    Aug 2, 2007
    Portsmouth
    1) you can block their updates, by either not using wifi or blocking the connection to the update servers on your router.
    2) the AK2i actually has an up-datable loader
     
  7. saitama
    OP

    saitama Member

    Newcomer
    32
    0
    Feb 18, 2009
    Busan, South Korea
    Thanks for the info, I think I've found what I'm looking for and I'm going to buy the AceKard2i once I get off work today, you guys are great [​IMG]
     
  8. Nathan-NL

    Nathan-NL GBAtemp Fan

    Member
    399
    0
    Jan 15, 2008
    Netherlands
    The Netherlands
    ^ Remember that Nintendo will probably put a newer firmware version on the DSi's shipping to EU/USA, so the DSi flashcarts will probably not work. Maybe new DSi flashcarts will be releases then.

    It's also suspicious that the releases in USA/AU/EU are so close..

    Edit: So, maybe you want to wait a little bit longer until we know if the current DSi flashcarts do work on the USA/AU/EU versions..
     
  9. david432111

    david432111 GBAtemp Advanced Fan

    Member
    859
    0
    Jul 17, 2008
    Denmark
    Link or it didn't happen.....

    EDIT: I think you misunderstood me, I don't mean the actual firmware files you put on the micro sd I mean the actual loader code in the flashcart' that makes the ds recognize it.
    If nintendo blocks it's actual loader code, updating the firmware on the micro sd won't help. You can't update the actual loader code, it's read-only.
     
  10. UltraMagnus

    UltraMagnus hic sunt dracones

    Member
    1,967
    0
    Aug 2, 2007
    Portsmouth
    I seem to remember the being something about the boot loader of the AK2i being writeable was posted in the ak2i release thread. everyone seemed to think it was a bad idea at the time because anything could write to it. of course if nintendo did block it you would have to boot the AK2i on a un-updated DSi or DS lite to update the bootloader
     
  11. david432111

    david432111 GBAtemp Advanced Fan

    Member
    859
    0
    Jul 17, 2008
    Denmark
    Ok. Let's hope the acekard team can fix the loader code if nintendo releases an update.